# swagger-client
This page is the reference of the Bacalhau REST API. Project docs are available at https://docs.bacalhau.org/. Find more information about Bacalhau at https://github.com/bacalhau-project/bacalhau.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.3.24.post8
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen
For more information, please visit [https://github.com/bacalhau-project/bacalhau](https://github.com/bacalhau-project/bacalhau)

## Requirements.

Python 3.6+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.HealthApi(swagger_client.ApiClient(configuration))

try:
    # Returns debug information on what the current node is doing.
    api_response = api_instance.api_serverdebug()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling HealthApi->api_serverdebug: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.HealthApi(swagger_client.ApiClient(configuration))

try:
    # Returns debug information on what the current node is doing.
    api_response = api_instance.debug()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling HealthApi->debug: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *http://bootstrap.production.bacalhau.org:1234/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*HealthApi* | [**api_serverdebug**](docs/HealthApi.md#api_serverdebug) | **GET** /debug | Returns debug information on what the current node is doing.
*HealthApi* | [**debug**](docs/HealthApi.md#debug) | **GET** /requester/debug | Returns debug information on what the current node is doing.
*JobApi* | [**cancel**](docs/JobApi.md#cancel) | **POST** /requester/cancel | Cancels the job with the job-id specified in the body payload.
*JobApi* | [**events**](docs/JobApi.md#events) | **POST** /requester/events | Returns the events related to the job-id passed in the body payload. Useful for troubleshooting.
*JobApi* | [**list**](docs/JobApi.md#list) | **POST** /requester/list | Simply lists jobs.
*JobApi* | [**results**](docs/JobApi.md#results) | **POST** /requester/results | Returns the results of the job-id specified in the body payload.
*JobApi* | [**states**](docs/JobApi.md#states) | **POST** /requester/states | Returns the state of the job-id specified in the body payload.
*JobApi* | [**submit**](docs/JobApi.md#submit) | **POST** /requester/submit | Submits a new job to the network.
*MiscApi* | [**api_serverversion**](docs/MiscApi.md#api_serverversion) | **POST** /version | Returns the build version running on the server.
*UtilsApi* | [**healthz**](docs/UtilsApi.md#healthz) | **GET** /healthz | 
*UtilsApi* | [**id**](docs/UtilsApi.md#id) | **GET** /id | Returns the id of the host node.
*UtilsApi* | [**livez**](docs/UtilsApi.md#livez) | **GET** /livez | 
*UtilsApi* | [**logz**](docs/UtilsApi.md#logz) | **GET** /logz | 
*UtilsApi* | [**node_info**](docs/UtilsApi.md#node_info) | **GET** /node_info | Returns the info of the node.
*UtilsApi* | [**peers**](docs/UtilsApi.md#peers) | **GET** /peers | Returns the peers connected to the host via the transport layer.
*UtilsApi* | [**readyz**](docs/UtilsApi.md#readyz) | **GET** /readyz | 
*UtilsApi* | [**varz**](docs/UtilsApi.md#varz) | **GET** /varz | 

## Documentation For Models

 - [AllOfExecutionStateRunOutput](docs/AllOfExecutionStateRunOutput.md)
 - [AllOfExecutionStateState](docs/AllOfExecutionStateState.md)
 - [AllOfJobSpec](docs/AllOfJobSpec.md)
 - [AllOfJobSpecLanguageJobContext](docs/AllOfJobSpecLanguageJobContext.md)
 - [AllOfJobSpecWasmEntryModule](docs/AllOfJobSpecWasmEntryModule.md)
 - [AllOfJobStateState](docs/AllOfJobStateState.md)
 - [AllOfJobWithInfoJob](docs/AllOfJobWithInfoJob.md)
 - [AllOfJobWithInfoState](docs/AllOfJobWithInfoState.md)
 - [AllOfLabelSelectorRequirementOperator](docs/AllOfLabelSelectorRequirementOperator.md)
 - [AllOfSpecDeal](docs/AllOfSpecDeal.md)
 - [AllOfSpecDocker](docs/AllOfSpecDocker.md)
 - [AllOfSpecEngine](docs/AllOfSpecEngine.md)
 - [AllOfSpecNetwork](docs/AllOfSpecNetwork.md)
 - [AllOfSpecPublisher](docs/AllOfSpecPublisher.md)
 - [AllOfSpecResources](docs/AllOfSpecResources.md)
 - [AllOfStorageSpecStorageSource](docs/AllOfStorageSpecStorageSource.md)
 - [AllOfcancelRequestPayload](docs/AllOfcancelRequestPayload.md)
 - [BuildVersionInfo](docs/BuildVersionInfo.md)
 - [CancelRequest](docs/CancelRequest.md)
 - [CancelResponse](docs/CancelResponse.md)
 - [ComputeNodeInfo](docs/ComputeNodeInfo.md)
 - [Deal](docs/Deal.md)
 - [Engine](docs/Engine.md)
 - [EventsRequest](docs/EventsRequest.md)
 - [EventsResponse](docs/EventsResponse.md)
 - [ExecutionState](docs/ExecutionState.md)
 - [ExecutionStateType](docs/ExecutionStateType.md)
 - [FreeSpace](docs/FreeSpace.md)
 - [HealthInfo](docs/HealthInfo.md)
 - [Job](docs/Job.md)
 - [JobCancelPayload](docs/JobCancelPayload.md)
 - [JobHistory](docs/JobHistory.md)
 - [JobHistoryType](docs/JobHistoryType.md)
 - [JobRequester](docs/JobRequester.md)
 - [JobSpecDocker](docs/JobSpecDocker.md)
 - [JobSpecLanguage](docs/JobSpecLanguage.md)
 - [JobSpecWasm](docs/JobSpecWasm.md)
 - [JobState](docs/JobState.md)
 - [JobStateType](docs/JobStateType.md)
 - [JobWithInfo](docs/JobWithInfo.md)
 - [LabelSelectorRequirement](docs/LabelSelectorRequirement.md)
 - [ListRequest](docs/ListRequest.md)
 - [ListResponse](docs/ListResponse.md)
 - [Metadata](docs/Metadata.md)
 - [MountStatus](docs/MountStatus.md)
 - [Network](docs/Network.md)
 - [NetworkConfig](docs/NetworkConfig.md)
 - [NodeInfo](docs/NodeInfo.md)
 - [NodeType](docs/NodeType.md)
 - [PeerAddrInfo](docs/PeerAddrInfo.md)
 - [PublishedResult](docs/PublishedResult.md)
 - [Publisher](docs/Publisher.md)
 - [ResourceUsageConfig](docs/ResourceUsageConfig.md)
 - [ResourceUsageData](docs/ResourceUsageData.md)
 - [ResultsResponse](docs/ResultsResponse.md)
 - [RunCommandResult](docs/RunCommandResult.md)
 - [SelectionOperator](docs/SelectionOperator.md)
 - [Spec](docs/Spec.md)
 - [StateChangeExecutionStateType](docs/StateChangeExecutionStateType.md)
 - [StateChangeJobStateType](docs/StateChangeJobStateType.md)
 - [StateRequest](docs/StateRequest.md)
 - [StateResponse](docs/StateResponse.md)
 - [StorageSourceType](docs/StorageSourceType.md)
 - [StorageSpec](docs/StorageSpec.md)
 - [SubmitRequest](docs/SubmitRequest.md)
 - [SubmitResponse](docs/SubmitResponse.md)
 - [VerificationResult](docs/VerificationResult.md)
 - [Verifier](docs/Verifier.md)
 - [VersionRequest](docs/VersionRequest.md)
 - [VersionResponse](docs/VersionResponse.md)

## Documentation For Authorization

 All endpoints do not require authorization.


## Author

team@bacalhau.org
